Skip to main content
GET
TypeScript SDK

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required
Required string length: 1 - 255

Response

Retrieve user settings

autoRestartVm
boolean
defaultProjectId
string | null
defaultSessionVisibilityByWorkspace
object
gpgKey
string
includeTemboCommitAttribution
boolean
openPullRequestsAsBot
boolean
desktopNotificationsEnabled
boolean
desktopNotificationPreferences
object
hasDesktopApp
boolean
appearancePreferences
object
appSidebarPreferences
object
diffPreferences
object
dashboardPreferences
object
composerPreferences
object
reviewPreferences
object
diffLightTheme
string
diffDarkTheme
string
defaultAgent
string
Pattern: ^[^:]+:[^:]+(?::[^:]+)?$
defaultFastMode
boolean
followUpBehavior
enum<string>
Available options:
queue,
steer
customSystemPrompt
string
Maximum string length: 4096